List experiments
curl --request GET \
--url https://api.eigenpal.com/v1/automations/{id}/experiments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eigenpal.com/v1/automations/{id}/experiments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eigenpal.com/v1/automations/{id}/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"automationId": "<string>",
"automationType": "workflow",
"status": "queued",
"runCount": 0,
"completedCount": 0,
"passedCount": 0,
"failedCount": 0,
"avgScore": 123,
"createdAt": "<string>",
"completedAt": "<string>",
"version": "<string>"
}
],
"total": 0,
"limit": 0,
"offset": 0
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>"
}Experiments
List experiments
List experiment batches for one automation. Each experiment runs selected dataset examples and records automated evaluator scores.
GET
/
v1
/
automations
/
{id}
/
experiments
List experiments
Authorizations
API key issued from Settings → API Keys. Pass as Authorization: Bearer <key>.
Path Parameters
Automation id or typed alias.
Query Parameters
Maximum number of experiment batches to return.
Required range:
1 <= x <= 500Zero-based offset for paging through experiment batches.
Required range:
0 <= x <= 9007199254740991Filter to experiment batches created at or after this date or relative date.
Filter to experiment batches created at or before this date or relative date.
Response
Page of experiment batches.
⌘I